CCM< T_BlockCipher, T_DefaultDigestSize > Struct Template Reference

CCM block cipher mode of operation. More...

`#include <ccm.h>`

Inheritance diagram for CCM< T_BlockCipher, T_DefaultDigestSize >:

## Public Types

typedef CCM_Final< T_BlockCipher, T_DefaultDigestSize, true > | Encryption
typedef CCM_Final< T_BlockCipher, T_DefaultDigestSize, false > | Decryption
Public Types inherited from AuthenticatedSymmetricCipherDocumentation
typedef AuthenticatedSymmetricCipher | Encryption
| implements the AuthenticatedSymmetricCipher interface
typedef AuthenticatedSymmetricCipher | Decryption
| implements the AuthenticatedSymmetricCipher interface

## Detailed Description

template<class T_BlockCipher, int T_DefaultDigestSize = 16>
struct CCM< T_BlockCipher, T_DefaultDigestSize >

CCM block cipher mode of operation.

Template Parameters

  T_BlockCipher | block cipher
  T_DefaultDigestSize | default digest size, in bytes

`CCM` provides the `Encryption` and `Decryption` typedef. See GCM_Base and GCM_Final for the AuthenticatedSymmetricCipher implementation.

See also
  CCM Mode and Modes of Operation on the Crypto++ wiki.

Since
  Crypto++ 5.6.0

Definition at line 115 of file ccm.h.

## Member Typedef Documentation

## Encryption

template<class T_BlockCipher, int T_DefaultDigestSize = 16>

typedef CCM_Final<T_BlockCipher, T_DefaultDigestSize, true> CCM< T_BlockCipher, T_DefaultDigestSize >::Encryption

Definition at line 117 of file ccm.h.

## Decryption

template<class T_BlockCipher, int T_DefaultDigestSize = 16>

typedef CCM_Final<T_BlockCipher, T_DefaultDigestSize, false> CCM< T_BlockCipher, T_DefaultDigestSize >::Decryption

Definition at line 118 of file ccm.h.

The documentation for this struct was generated from the following file:

- ccm.h